edu.sc.seis.sod

## Class WaveformArm

- java.lang.Object
- - java.lang.Thread
  - - edu.sc.seis.sod.WaveformArm

- All Implemented Interfaces:
    Arm, java.lang.Runnable

      public class WaveformArm
      extends java.lang.Thread
      implements Arm

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static edu.iris.Fissures.model.MicroSecondDate` | `lastECP`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformArm(int nextProcessorNum, AbstractWaveformRecipe waveformRecipe)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `createEventNetworkPairs(StatefulEvent ev)`
    `protected static AbstractEventPair` | `getNext()`
    `int` | `getProcessorNum()`
    `static int` | `getProcessorsWorking()`
    `boolean` | `isActive()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.Arm

      `getName`

- - ### Field Detail

    - #### lastECP

          protected static edu.iris.Fissures.model.MicroSecondDate lastECP

  - ### Constructor Detail

    - #### WaveformArm

          public WaveformArm(int nextProcessorNum,
                             AbstractWaveformRecipe waveformRecipe)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `Arm`

    - #### getNext

          protected static AbstractEventPair getNext()

    - #### createEventNetworkPairs

          protected static void createEventNetworkPairs(StatefulEvent ev)

    - #### getProcessorNum

          public int getProcessorNum()

    - #### getProcessorsWorking

          public static int getProcessorsWorking()